Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> BUGS/FIXES - Raven's v7.3 Customized Distro
Author Message
porcupinepc
Involved
Involved


Joined: Sep 20, 2003
Posts: 261
Location: Schumacher, Ontario CANADA

PostPosted: Wed Jul 21, 2004 9:16 pm Reply with quote

I am now with a new hosting company with more web space. I just installed RC1
Manually updated the database and edited the config.php

I can get to the index.php page now problem. I went to :http://www.porcupinepc.com/nuke/admin.php and set myself up. Now when i try to go to admin screen to setup the board, i get access denied.

Joe
 
View user's profile Send private message Send e-mail Visit poster's website ICQ Number
CodyG
Life Cycles Becoming CPU Cycles


Joined: Jan 02, 2003
Posts: 712
Location: Vancouver Island

PostPosted: Wed Jul 21, 2004 9:26 pm Reply with quote

None of your default blocks are set up correctly either. I'd have another look at your db setup. You say "update the database" ... but you do mean you created and populated, right? Are you doing a fresh install?

_________________
"We want to see if life is ubiquitous." D.Goldin 
View user's profile Send private message
porcupinepc
PostPosted: Thu Jul 22, 2004 8:59 am Reply with quote

With the new hosting company i now have, i have the ability to have 10 SQL databases.

I have setup a brand new database for nuke.

I manually uploaded the sql file which worked fine. I then edited the config.php file and entered my database info.

When i type in Only registered users can see links on this board! Get registered or login! I get the index.php screen.
When i try to create a super user, it says "access denied"
If i click on a active module, it displays:

You can't access this file directly...

Also, in the installer, this appears:

Connected successfully to your MySQL Server!


Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in /home/content/p/o/r/porcpc/html/nuke/install/index.php on line 66

Note: This user does not have Create Database Permissions for this MySQL server. Either select another user/pass combination or you will need to create the database first and then come back to this utility to create the tables.


Joe
 
sixonetonoffun
Spouse Contemplates Divorce


Joined: Jan 02, 2003
Posts: 2496

PostPosted: Thu Jul 22, 2004 9:45 am Reply with quote

The installer message just means that the installer does not have permission to create a database. Meaning to use it you'll have to have an existing one to populate.

Verify the authors table was populated with your super user information. If it is then try clearing your browser cache.

_________________
[b][size=5]openSUSE 11.4-x86 | Linux 2.6.37.1-1.2desktop i686 | KDE: 4.6.41>=4.7 | XFCE 4.8 | AMD Athlon(tm) XP 3000+ | MSI K7N2 Delta-L | 3GB Black Diamond DDR
| GeForce 6200@433Mhz 512MB | Xorg 1.9.3 | NVIDIA 270.30[/size:2b8 
View user's profile Send private message
porcupinepc
PostPosted: Thu Jul 22, 2004 11:48 am Reply with quote

Ive tried installing PHP Nuke 7.4 and same thing. With 7.4, i am listed as GOD. But when i log in and try to go to the admin menu, i get access denied.

Joe
 
digibeet
Regular
Regular


Joined: Jul 08, 2004
Posts: 96
Location: Amsterdam, the Netherlands

PostPosted: Thu Jul 22, 2004 1:19 pm Reply with quote

Hi porcupimepc,

did you change the gfx config in config.php from 0 to 7 ?

did you change the cookie code in modules/youraccount/index.php as the readme in NSN sentinel tells you to?

4. Your Account Bug
-------------------
In Your Account's index.php file you will find 4 placements of:
getusrinfo($user);
if (($userinfo[username] != $cookie[1]) AND ($userinfo[user_password] != $cookie[2])) {

You should replace it with:
cookiedecode($user);
getusrinfo($user);
if ((is_user($user)) AND ($userinfo[username] == $cookie[1]) AND ($userinfo[user_password] == $cookie[2])) {

This was my problem, and this fixed it.

I have tried if Sentinel is installed on your site with a know php-nuke exploit, probebly yo will receive an message of illegal use... Wink

Greets,

Fred Mr. Green

_________________
"Grasp the subject, the words will follow."
Cato the Elder (234 BC - 149 BC)
Roman orator & politician. 
View user's profile Send private message Visit poster's website
porcupinepc
PostPosted: Thu Jul 22, 2004 3:38 pm Reply with quote

I did everything you mentioned in your previous message but i continue to get "access denied"

Joe
 
alienx
New Member
New Member


Joined: Aug 11, 2004
Posts: 1

PostPosted: Thu Aug 12, 2004 7:24 am Reply with quote

digibeet wrote:
Hi porcupimepc,

did you change the gfx config in config.php from 0 to 7 ?

did you change the cookie code in modules/youraccount/index.php as the readme in NSN sentinel tells you to?

4. Your Account Bug
-------------------
In Your Account's index.php file you will find 4 placements of:
getusrinfo($user);
if (($userinfo[username] != $cookie[1]) AND ($userinfo[user_password] != $cookie[2])) {

You should replace it with:
cookiedecode($user);
getusrinfo($user);
if ((is_user($user)) AND ($userinfo[username] == $cookie[1]) AND ($userinfo[user_password] == $cookie[2])) {

This was my problem, and this fixed it.

I have tried if Sentinel is installed on your site with a know php-nuke exploit, probebly yo will receive an message of illegal use... Wink

Greets,

Fred Mr. Green


hi

porcupine: have u got ur problem fixed? mind to tell me how u fixed it?

digibeet: i have tried all the steps too and still the problem exist Sad anyway i found this on my 7.3 ravenscript
if ((is_user($user)) AND (strtolower($who) == strtolower($cookie[1])) AND (strtolower($userinfo['username']) == strtolower($cookie[1])) AND ($userinfo['user_password'] == $cookie[2])) {
instead of
if ((is_user($user)) AND ($userinfo[username] == $cookie[1]) AND ($userinfo[user_password] == $cookie[2])) { , as mentioned on your post. is this the problem?


raven or anyone else : when i did the sec fix 7.3 and 2.5 patch by chatserv i had this problem, and i try to solve it by using raven scripts, and this is still the problem.. i wonder why not many people having this problem, must be something i did wrong, but i dont know what. i try to reinstall, repatch, delete cookies, restart my webserver n pc but still unsuccesfull.

(note: everytime i change the patch, i did it with clean install of original 7.3 bcoz i dont want them to mix up)

anyway, i havent uploaded it to the net first as im still playing around with php in my laptop (apache triad installed), maybe i will try to upload it and see if the same problem exist in the 'real' webserver.

any suggestion of how this problem can be solved is really really appreciated

chris
 
View user's profile Send private message
porcupinepc
PostPosted: Thu Aug 12, 2004 8:06 am Reply with quote

PHP Nuke i ended up finding out was not compatible with the hosting company i had, once agaon i changed companies and now Ravens's latest Distro is working perfect.

Joe
Only registered users can see links on this board! Get registered or login!
 
iamasteve
New Member
New Member


Joined: Jan 08, 2005
Posts: 9

PostPosted: Sun Jan 09, 2005 7:19 pm Reply with quote

Could the problem possibly be that this distro is not compatible with MySQL 3.23? That is what I'm thinking...
 
View user's profile Send private message
Display posts from previous:       
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> BUGS/FIXES - Raven's v7.3 Customized Distro

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©